javax.resource.spi.work

## Interface WorkListener

- All Superinterfaces:
    java.util.EventListener
  All Known Implementing Classes:
    WorkAdapter

      public interface WorkListener
      extends java.util.EventListener

  This models a `WorkListener` instance which would be notified by the `WorkManager` when the various `Work` processing events (work accepted, work rejected, work started, work completed) occur. The `WorkListener` instance must not make any thread assumptions and must be thread-safe ie., a notification could occur from any arbitrary thread. Further, it must not make any assumptions on the ordering of notifications.
  Version:
    1.0
  Author:
    Ram Jeyaraman

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `workAccepted(WorkEvent e)` Invoked when a `Work` instance has been accepted.
    `void` | `workCompleted(WorkEvent e)` Invoked when a `Work` instance has completed execution.
    `void` | `workRejected(WorkEvent e)` Invoked when a `Work` instance has been rejected.
    `void` | `workStarted(WorkEvent e)` Invoked when a `Work` instance has started execution.

- - ### Method Detail

    - #### workAccepted

          void workAccepted(WorkEvent e)

      Invoked when a `Work` instance has been accepted.
      Parameters:
        `e` - A `WorkEvent` object that provides more information about the accepted Work.

    - #### workRejected

          void workRejected(WorkEvent e)

      Invoked when a `Work` instance has been rejected.
      Parameters:
        `e` - A `WorkEvent` object that provides more information about the accepted Work.

    - #### workStarted

          void workStarted(WorkEvent e)

      Invoked when a `Work` instance has started execution. This only means that a thread has been allocated.
      Parameters:
        `e` - A `WorkEvent` object that provides more information about the accepted Work.

    - #### workCompleted

          void workCompleted(WorkEvent e)

      Invoked when a `Work` instance has completed execution.
      Parameters:
        `e` - A `WorkEvent` object that provides more information about the accepted Work.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)